package capitulo07.bloque03.ejercicio01;

import capitulo07.bloque03.ejercicio01.exeptions.OddException;

import java.util.Scanner;

public class PeticionNumeros {
    static Scanner sc = new Scanner(System.in);
    public static int pideNumeroPar() throws OddException {
        System.out.print("Escriba un número par: ");
        int num = sc.nextInt();
        if (num % 2 != 0) throw new OddException("El número dado es impar.");
        return num;
    }

    public static void main(String[] args) {
        int num = 0;
        do {
            try {
                num = pideNumeroPar();
            } catch (OddException e) {
                System.err.println("El número dado es impar por lo que ha provocado la siguiente Exception: ");
                e.printStackTrace();
            }
        } while (num != 0);
    }
}
